Blocklist applicant

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to blocklist a specific applicant profile within your project. For more information on configuring your internal Client lists, refer to this article.

This method only blocks a single profile. It means that if a company profile is blocked, its associated beneficiary applicants will remain active.

📘

Note

Before adding applicants to the blocklist, make sure they are not in it already by checking for BLOCKLIST labels in the rejectLabels array. In case you are trying to add an already listed applicant to the blocklist, we will throw the 409 HTTP status with the 5000 error code.

😀

Did you know?

You can also blocklist applicants from the Dashboard.

Request example

curl -X POST \
     'https://api.sumsub.com/resources/applicants/5c0e93c30a975a53a79aa54b/blacklist?note=A%20user%20provided%20a%20fake%20document' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'

Response explained

The response is a JSON file representing the profile data of the blocklisted applicant with augmented and structured information. You can overview the response structure and possible content with descriptions on the following page.

Mind the review section of the response to make sure the applicant is blocklisted.

Response example

{
  "id": "63e099da46199a0000000000",
  "createdAt": "2023-02-06 06:10:34",
  "clientId": "yourCoolId",
  "inspectionId": "63e099da46199a0000000000",
  "externalUserId": "someExternalUserId",
  "info": {
    "firstName": "John",
    "firstNameEn": "John",
    "middleName": "",
    "middleNameEn": "",
    "lastName": "Doe",
    "lastNameEn": "Doe"
  },
  "email": "[email protected]",
  "requiredIdDocs": {
    "docSets": [
      {
        "idDocSetType": "IDENTITY",
        "types": [
          "ID_CARD",
          "PASSPORT",
          "RESIDENCE_PERMIT",
          "DRIVERS"
        ],
        "subTypes": [
          "FRONT_SIDE",
          "BACK_SIDE"
        ]
      }
    ]
  },
  "review": {
    "reviewId": "wTgDO",
    "attemptId": "hiiOC",
    "attemptCnt": 0,
    "elapsedSincePendingMs": 3,
    "levelName": "basic-kyc-level",
    "createDate": "2024-06-17 10:51:01+0000",
    "reviewDate": "2024-06-17 10:51:01+0000",
    "reviewResult": {
      "reviewAnswer": "RED",
      "rejectLabels": [
        "BLOCKLIST"
      ],
      "reviewRejectType": "FINAL"
    },
    "reviewStatus": "completed"
  },
  "type": "individual"
}

Path Params
string
required

Unique applicant identifier in the Sumsub system.

This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the Dashboard.

If the applicantId is unknown to you, use the Get applicant data (externalUserId) method to fetch it.

Query Params
string
required

Submit a mandatory note explaining the reason for blocklisting the applicant profile.

⚠️ Mind that a note must be URL encoded.

Once the request is processed and the applicant is blocklisted, you can see the specified reason in the Notes section of the applicant profile.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!